summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTorsten Veller <tove@gentoo.org>2010-01-25 18:20:53 +0100
committerTorsten Veller <tove@gentoo.org>2010-01-25 18:20:53 +0100
commit825e8d58fc24e3e37c578c7b0b3e09ea7ef4ebb2 (patch)
tree913c36d5d52ed4dac7487d208d25c22d9304534d /eclass/perl-helper.eclass
parentDepend on Module-Build (diff)
downloadperl-overlay-825e8d58fc24e3e37c578c7b0b3e09ea7ef4ebb2.tar.gz
perl-overlay-825e8d58fc24e3e37c578c7b0b3e09ea7ef4ebb2.tar.bz2
perl-overlay-825e8d58fc24e3e37c578c7b0b3e09ea7ef4ebb2.zip
Only log if a AppleDouble encoded Macintosh file is in MANIFEST
Diffstat (limited to 'eclass/perl-helper.eclass')
-rw-r--r--eclass/perl-helper.eclass14
1 files changed, 9 insertions, 5 deletions
diff --git a/eclass/perl-helper.eclass b/eclass/perl-helper.eclass
index 746fa35ed..b7a1b683b 100644
--- a/eclass/perl-helper.eclass
+++ b/eclass/perl-helper.eclass
@@ -26,13 +26,17 @@ fixlocalpod() {
fixperlosxcrap() {
debug-print-function $FUNCNAME "$@"
+
# Remove "AppleDouble encoded Macintosh file"
- #find "${S}" -type f -name "._*" -delete
find "${S}" -type f -name "._*" -print0 | while read -rd '' f ; do
- echo "* Removing AppleDouble encoded Macintosh file: ${f#${S}/}"
- rm -f ${f}
- f=${f#${S}/}
- sed -i "/${f//\//\/}/d" "${S}"/MANIFEST || die
+ einfo "Removing AppleDouble encoded Macintosh file: ${f#${S}/}"
+ rm -f "${f}"
+ # f=${f#${S}/}
+ # f=${f//\//\/}
+ # f=${f//\./\.}
+ # sed -i "/${f}/d" "${S}"/MANIFEST || die
+ grep -q "${f#${S}/}" "${S}"/MANIFEST && \
+ elog "AppleDouble encoded Macintosh file in MANIFEST: ${f#${S}/}"
done
}